Motifs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/motifsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/motifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/motifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"tf_name": "<string>",
"length": 123,
"pwm": [
[
"<string>"
]
],
"source": "<string>",
"source_url": "<string>",
"class": "<string>",
"method": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Nodes
Motifs
Retrieve transcription factor binding motifs from HOCOMOCO and SEMpl.
method can be either HOCOMOCO or SEMpl; if not provided, both methods are searched.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
HOCOMOCO:
query by tf_name
- tf_name = STAT3_HUMAN
- source = HOCOMOCOv11
- method = HOCOMOCO
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI1626MMBD
- method = HOCOMOCO
SEMpl:
query by tf_name
- tf_name = AHR
- method = SEMpl
query by files_fileset
Each files_fileset maps to at most one method, so a method filter is usually not necessary.
- files_fileset = IGVFFI5279OTVZ
- method = SEMpl
Motifs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/motifsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/motifs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/motifs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"tf_name": "<string>",
"length": 123,
"pwm": [
[
"<string>"
]
],
"source": "<string>",
"source_url": "<string>",
"class": "<string>",
"method": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
IGVF, HOCOMOCOv11 Available options:
HOCOMOCO, SEMpl Available options:
Homo sapiens